
Smart Proxy - Bug #878

Wget failed processes won't stop

05/05/2011 09:36 AM - Marcello de Sousa

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: TFTP   

Target version: 0.2   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

After testing it for a while I get a collection of open "wget ..." processes. If wget fails, the processes are not closed and they are also

not killed by the restart of the foreman-proxy daemon.

Posted patch:

---

 lib/proxy/tftp.rb |    2 +-

 1 files changed, 1 insertions(+), 1 deletions(-)

diff --git a/lib/proxy/tftp.rb b/lib/proxy/tftp.rb index f4b75b9..aea5d59 100644

--- a/lib/proxy/tftp.rb

+++ b/lib/proxy/tftp.rb

@@ -57,7 +57,7 @@ module Proxy::TFTP

       #as the dst might contain another sub directory

       FileUtils.mkdir_p destination.parent

-      cmd = "wget --no-check-certificate -nv -c #{src} -O \"#{destination}\"" 

+      cmd = "wget --timeout=10 --tries=3 --no-check-certificate -nv -c #{src} -O \"#{destination}

\"" 

       Proxy::Util::CommandTask.new(cmd)

     end

--

1.7.4.1

Associated revisions

Revision 03e5b521 - 05/05/2011 10:01 AM - Marcello de Sousa 

fixes #878 - Include wget limits for timeout and retries.

Signed-off-by: Marcello de Sousa <foreman-dev@area151.com>

History

#1 - 05/05/2011 10:03 AM - Anonymous

- Status changed from New to Ready For Testing

- % Done changed from 0 to 100

Applied in changeset 03e5b52105b5e5f1d5ea8ebe567973d5aa50fb5b.

#2 - 05/06/2011 02:57 PM - Ohad Levy

- Status changed from Ready For Testing to Closed
